Bug 88860 - xemacs startup hangs in ja_JP.UTF-8 and ko_KR.UTF-8 locale
xemacs startup hangs in ja_JP.UTF-8 and ko_KR.UTF-8 locale
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: xemacs (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-14 21:17 EDT by Jens Petersen
Modified: 2015-01-07 19:04 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-05-19 04:37:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2003-04-14 21:17:20 EDT
Description of problem:
When starting xemacs in a Japanese or Korean utf-8 locale,
xemacs hangs with lots of X Errors.

Version-Release number of selected component (if applicable):
21.4.12-7 and earlier

How reproducible:
every time

Steps to Reproduce:
1. % LANG=ja_JP.UTF-8 xemacs -q
2. % LANG=ko_KR.UTF-8 xemacs -q
    
Actual results:
Warning: Missing charsets in String to FontSet conversion
                                                                               
                                                                               
                                       
xemacs: X Error of failed request:  BadFont (invalid Font parameter)
  Major opcode of failed request:  55 (X_CreateGC)
  Resource id in failed request:  0x2600028
  Serial number of failed request:  273
  Current serial number in output stream:  280
                                                                               
                                                                               
                                       
xemacs: X Error of failed request:  BadFont (invalid Font parameter)
  Major opcode of failed request:  55 (X_CreateGC)
  Resource id in failed request:  0x2600029
  Serial number of failed request:  274
  Current serial number in output stream:  280
                                                                               
                                                                               
                                       
xemacs: X Error of failed request:  BadFont (invalid Font parameter)
  Major opcode of failed request:  55 (X_CreateGC)
  Resource id in failed request:  0x260002a
  Serial number of failed request:  275
  Current serial number in output stream:  280
                                                                               
                                                                               
                                       :
:

Expected results:
Should start up without problems

Additional info:
I think there is no support in the X Motif toolkit for UTF-8, so likely
this can only be fixed by changing the CJK menubar to use a different toolkit.
Comment 1 Jens Petersen 2003-04-17 08:52:14 EDT
Actually the menubar is using the Lucid toolkit not Motif, but it
may not support utf-8 either.

Disabling the ja and ko menubar translations in xemacs-21.4.12-8.

Note You need to log in before you can comment on or make changes to this bug.